## org.eclipse.datatools.sqltools.sqlbuilder.views.execute
Class ParameterElement

    java.lang.Object
      org.eclipse.datatools.sqltools.sqlbuilder.views.execute.ParameterElement

    public class ParameterElement

extends java.lang.Object

Constructor Summary
`ParameterElement(java.lang.Object aParm, java.util.Vector parmValues, int row)`

Method Summary
`java.lang.String` `getColumnText(int columnIndex)`
`int` `getRow()`
`void` `setValue(java.lang.String v)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ParameterElement

    public ParameterElement(java.lang.Object aParm,
                            java.util.Vector parmValues,
                            int row)

Method Detail

### setValue

    public void setValue(java.lang.String v)

### getRow

    public int getRow()

### getColumnText

    public java.lang.String getColumnText(int columnIndex)